### Method

# Ggit DiffHunk ref

#### Declaration [src]

    GgitDiffHunk*
    ggit_diff_hunk_ref (
      GgitDiffHunk* hunk
    )

#### Description [src]

Atomically increments the reference count of `hunk` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitDiffHunk`

A `GgitDiffHunk` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.